import request from '@/utils/request'

// 查询停业信息列表
export function listInfo(query) {
    return request({
        url: '/crmSuspendedBusinessInfo/findByPage',
        method: 'get',
        params: query
    })
}

// 查询停业信息详细
export function getInfo(id) {
    return request({
        url: '/crmSuspendedBusinessInfo/' + id,
        method: 'get'
    })
}

// 新增停业信息
export function addInfo(data) {
    return request({
        url: '/crmSuspendedBusinessInfo',
        method: 'post',
        data: data
    })
}

// 修改停业信息
export function updateInfo(data) {
    return request({
        url: '/crmSuspendedBusinessInfo',
        method: 'put',
        data: data
    })
}

// 删除停业信息
export function delInfo(id) {
    return request({
        url: '/crmSuspendedBusinessInfo/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delInfoBatch(ids) {
    console.log(ids);
    return request.post('/crmSuspendedBusinessInfo/delete',ids)
}